# uopz_redefine

(PECL uopz 1, PECL uopz 2, PECL uopz 5, PECL uopz 6, PECL uopz 7)

uopz_redefine — Re-défini une constante

### Description

uopz_redefine(string `$constant`, mixed `$value`): bool
uopz_redefine(string `$class`, string `$constant`, mixed `$value`): bool

Re-défini la constante `constant` fournie, en `value`.

### Liste de paramètres

`class`

  Le nom de la classe contenant la constante

`constant`

  Le nom de la constante

`value`

  La nouvelle valeur de la constante ; doit être un type valide pour une constante

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Exemples

Exemple #1 Exemple avec uopz_redefine()

`<?php
define("MY", 100);
uopz_redefine("MY", 1000);
echo MY;
?>`

L'exemple ci-dessus va afficher :

    1000